org.glassfish.jersey.model

## Class Parameter.ParameterService

- java.lang.Object
- - org.glassfish.jersey.model.Parameter.ParameterService

All Implemented Interfaces:
  org.glassfish.jersey.model.internal.spi.ParameterServiceProvider

Enclosing class:
  Parameter

    public static class Parameter.ParameterService
    extends Object
    implements org.glassfish.jersey.model.internal.spi.ParameterServiceProvider

### Constructor Summary

Constructors
Constructor and Description
`ParameterService()`

### Method Summary

All Methods Instance Methods Concrete Methods
`Map<Class,Parameter.ParamAnnotationHelper>` `getParameterAnnotationHelperMap()` A map of supported Parameter Annotations.
`Parameter.ParamCreationFactory<Parameter>` `getParameterCreationFactory()` Get a factory to be used to instantiate the `Parameter`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ParameterService

    public ParameterService()

### Method Detail

#### getParameterAnnotationHelperMap

    public Map<Class,Parameter.ParamAnnotationHelper> getParameterAnnotationHelperMap()

Description copied from interface: `org.glassfish.jersey.model.internal.spi.ParameterServiceProvider`
A map of supported Parameter Annotations. The maps from each found `ParameterServiceProvider` are combined to provide a list of Parameter Annotations for the given `Parameter`.

Specified by:
  `getParameterAnnotationHelperMap` in interface `org.glassfish.jersey.model.internal.spi.ParameterServiceProvider`
Returns:
  A map of subset of Parameter Annotations known to the ParameterServiceProvider

#### getParameterCreationFactory

    public Parameter.ParamCreationFactory<Parameter> getParameterCreationFactory()

Description copied from interface: `org.glassfish.jersey.model.internal.spi.ParameterServiceProvider`
Get a factory to be used to instantiate the `Parameter`

Specified by:
  `getParameterCreationFactory` in interface `org.glassfish.jersey.model.internal.spi.ParameterServiceProvider`
Returns:
  `Parameter` instantiating factory